with GNATCOM.Dispinterface;

package MSHTML.ISVGNumberList_Object is

   type ISVGNumberList_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_numberOfItems
     (This : ISVGNumberList_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_numberOfItems
     (This : ISVGNumberList_Type)
     return GNATCOM.Types.VARIANT;

   procedure clear
     (This : ISVGNumberList_Type);

   function initialize
     (This    : ISVGNumberList_Type;
      newItem : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function getItem
     (This  : ISVGNumberList_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function insertItemBefore
     (This    : ISVGNumberList_Type;
      newItem : GNATCOM.Types.VARIANT;
      index   : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function replaceItem
     (This    : ISVGNumberList_Type;
      newItem : GNATCOM.Types.VARIANT;
      index   : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function removeItem
     (This  : ISVGNumberList_Type;
      index : GNATCOM.Types.VARIANT;
      Free  : Boolean := True)
     return GNATCOM.Types.VARIANT;

   function appendItem
     (This    : ISVGNumberList_Type;
      newItem : GNATCOM.Types.VARIANT;
      Free    : Boolean := True)
     return GNATCOM.Types.VARIANT;

end MSHTML.ISVGNumberList_Object;

